Bug 237965 - Wrong init script
Summary: Wrong init script
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomas Janousek
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Keywords:
: 246899 (view as bug list)
Depends On: 237958
Blocks: InitscriptStatus
TreeView+ depends on / blocked
 
Reported: 2007-04-26 12:16 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 01:34:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (2.58 KB, patch)
2007-04-27 10:47 UTC, Tomas Janousek
no flags Details | Diff
second try (3.33 KB, patch)
2007-06-13 12:31 UTC, Tomas Janousek
no flags Details | Diff

Description Michal Marciniszyn 2007-04-26 12:16:12 UTC
+++ This bug was initially created as a clone of Bug #237958 +++

Description of problem:
There are several errors in the script, for example
[ ${NETWORKING} = "no" ] && exit 0
exits with error code 0 when no networking is present even though the service is
not running. Similar constructions and some wrong error codes can be found
through the script.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. service network stop
2. service cyrus-imapd start/status
3. echo $?
  
Actual results:
0

Expected results:
non-zero error code/status of the service

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 Tomas Janousek 2007-04-27 10:47:57 UTC
Created attachment 153597 [details]
proposed patch

Is this ok?

Comment 2 Tomas Janousek 2007-06-13 12:31:12 UTC
Created attachment 156867 [details]
second try

Comment 3 Tomas Janousek 2007-07-10 08:47:39 UTC
*** Bug 246899 has been marked as a duplicate of this bug. ***

Comment 4 Bug Zapper 2008-04-04 00:16:49 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 5 Bug Zapper 2008-05-07 01:34:12 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.